Update a list
curl --request PATCH \
--url https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"field1": "new field value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"field1": "new field value"
}
]
'import requests
url = "https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}"
payload = [
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"field1": "new field value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"field1": "new field value"
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("[\n {\n \"__id\": \"78f47a5a-b9c4-4802-8bed-e81cf5fde0b4\",\n \"field1\": \"new field value\"\n },\n {\n \"__id\": \"b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f\",\n \"field1\": \"new field value\"\n }\n]", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"__id\": \"78f47a5a-b9c4-4802-8bed-e81cf5fde0b4\",\n \"field1\": \"new field value\"\n },\n {\n \"__id\": \"b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f\",\n \"field1\": \"new field value\"\n }\n]")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
[
'__id' => '78f47a5a-b9c4-4802-8bed-e81cf5fde0b4',
'field1' => 'new field value'
],
[
'__id' => 'b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f',
'field1' => 'new field value'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{__id: '78f47a5a-b9c4-4802-8bed-e81cf5fde0b4', field1: 'new field value'},
{__id: 'b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f', field1: 'new field value'}
])
};
fetch('https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"field1": "new field value",
"field2": "old field value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"field1": "new field value",
"field2": "old field value"
},
{
"__id": "1d543ae8-957d-4fe6-b0f4-ad3ce1eb5bbf",
"field1": "field value"
}
]{
"errorCode": 0,
"message": "string"
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"errorCode": 0,
"message": "string"
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}customer-engagement
Update a list
deprecated
Updates only items and fields for a given data set.<br>Missing items and fields will be preserved.<br>Returns all items of the updated list.
**Required scope:** Enable one of: `people:manage`.
PATCH
/
people
/
2
/
persons
/
{personId}
/
lists
/
{listName}
Update a list
curl --request PATCH \
--url https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"field1": "new field value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"field1": "new field value"
}
]
'import requests
url = "https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}"
payload = [
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"field1": "new field value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"field1": "new field value"
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("[\n {\n \"__id\": \"78f47a5a-b9c4-4802-8bed-e81cf5fde0b4\",\n \"field1\": \"new field value\"\n },\n {\n \"__id\": \"b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f\",\n \"field1\": \"new field value\"\n }\n]", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"__id\": \"78f47a5a-b9c4-4802-8bed-e81cf5fde0b4\",\n \"field1\": \"new field value\"\n },\n {\n \"__id\": \"b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f\",\n \"field1\": \"new field value\"\n }\n]")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
[
'__id' => '78f47a5a-b9c4-4802-8bed-e81cf5fde0b4',
'field1' => 'new field value'
],
[
'__id' => 'b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f',
'field1' => 'new field value'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{__id: '78f47a5a-b9c4-4802-8bed-e81cf5fde0b4', field1: 'new field value'},
{__id: 'b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f', field1: 'new field value'}
])
};
fetch('https://api.messaging.phonovation.com/people/2/persons/{personId}/lists/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"__id": "78f47a5a-b9c4-4802-8bed-e81cf5fde0b4",
"field1": "new field value",
"field2": "old field value"
},
{
"__id": "b606345f-f7a6-4b9d-b9f1-75bdeaf0e55f",
"field1": "new field value",
"field2": "old field value"
},
{
"__id": "1d543ae8-957d-4fe6-b0f4-ad3ce1eb5bbf",
"field1": "field value"
}
]{
"errorCode": 0,
"message": "string"
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"errorCode": 0,
"message": "string"
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Person's internal ID.
Required range:
x >= 1Name given to a list.
Minimum string length:
1Body
application/json
Response
Items updated